•  » Installation
  •  » Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

#1 2019-10-09 16:24:32

MKdesign
Membre
2009-09-18
1

Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

Bonjour/Bonsoir,

J'ai effectué la mise à jour vers la version 2.10 et j'obtiens
"Notice: Undefined index: display_fromto in ....include/category_cats.inc.php on line 119
   Notice: Undefined index: display_fromto in ....include/category_cats.inc.php on line 315..."

J'ai également des messages d'erreur en admin. lors du renomage par lot.
"'bdd.pwg_activity' doesn't exist

INSERT  INTO `pwg_activity`
  (`object`,`object_id`,`action`,`performed_by`,`session_idx`,`ip_address`,`details`)
  VALUES('photo','1850','edit','1','5fe67076b86cd6620c013e5053428068','78.227.145.188','a:2:{s:6:\"action\";s:5:\"title\";s:6:\"script\";s:19:\"admin/batch_manager\";}')
  , ('photo','1851','edit','1','5fe67076b86cd6620c013e5053428068','78.227.145.188','a:2:{s:6:\"action\";s:5:\"title\";s:6:\"script\";s:19:\"admin/batch_manager\";}')
  , ('photo','1852','edit','1','5fe67076b86cd6620c013e5053428068','78.227.145.188','a:2:{s:6:\"action\";s:5:\"title\";s:6:\"script\";s:19:\"admin/batch_manager\";}')
  , ('photo','1853','edit','1','5fe67076b86cd6620c013e5053428068','78.227.145.188','a:2:{s:6:\"action\";s:5:\"title\";s:6:\"script\";s:19:\"admin/batch_manager\";}')
  , ('photo','1854','edit','1','5fe67076b86cd6620c013e5053428068','78.227.145.188','a:2:{s:6:\"action\";s:5:\"title\";s:6:\"script\";s:19:\"admin/batch_manager\";}')
  , ('pho in /home/ebdesign/www/book/include/dblayer/functions_mysqli.inc.php on line 856

Je n'ai vu aucun message de problème de ce type sur le forum ou en ligne concernant ce problème.

Quelqu'un as-t-il une idée du problème ?
Le top serait évidemment une solution miraculeuse ! ^_^

Bonne journée


    Piwigo 2.10.0
    Système d'exploitation: Linux
    PHP: 7.0.33 [2019-10-09 16:17:14]
    MySQL: 5.5.30 [2019-10-09 16:17:14]
    Bibliothèque graphique: ImageMagick 6.8.9-9

Hors ligne

#2 2019-10-10 10:47:22

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12360

Re: Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

Proposition de solution miraculeuse : dans ton navigateur web, ouvre upgrade.php (au lieu de index.php). Les messages d'erreur montrent clairement que la mise à jour de la base de données n'est pas passée.


Dernier billet du blog Piwigo.com (20 juin 2019) Modus, nouveau thème par défaut sur Piwigo.com

Hors ligne

#3 2019-10-12 16:56:36

kocardi
Membre
2009-11-03
40

Re: Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

Bonjour

Pour moi la solution de plg n'a pas fonctionné

j'ai un message
"No upgrade required, the database structure is up to date
<--back to gallery"

Trés beau boulot
Bon courage


    Piwigo 2.10.0
    Système d'exploitation: Linux
    PHP: 5.4.16 [2019-10-12 16:48:14]
    MySQL: 5.5.60-mariaDB [2019-10-12 16:48:14]
    Bibliothèque graphique: GD bundled (2.1.0 compatible)

Hors ligne

#4 2019-10-15 10:19:06

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12360

Re: Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

Allez dans votre gestionnaire de base de données et lancez les 2 requêtes SQL :

Code:

select * from piwigo_config where param = 'display_fromto';

puis

Code:

select * from piwigo_upgrade order by applied desc limit 5;

et venez nous dire ce qui est renvoyé.


Dernier billet du blog Piwigo.com (20 juin 2019) Modus, nouveau thème par défaut sur Piwigo.com

Hors ligne

#5 2019-10-15 16:03:20

kocardi
Membre
2009-11-03
40

Re: Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

Bonjour

pour moi la première requête me renvoie

Code:

MySQL a retourné un résultat vide (aucune ligne). (Traitement en 0.0003 secondes.)

et pour la seconde

Code:

Textes complets   id   applied Décroissant 1   description
  Modifier Modifier   Copier Copier   Effacer Effacer   107   2019-06-21 20:36:51   upgrade included in installation
  Modifier Modifier   Copier Copier   Effacer Effacer   120   2019-06-21 20:36:51   upgrade included in installation
  Modifier Modifier   Copier Copier   Effacer Effacer   121   2019-06-21 20:36:51   upgrade included in installation
  Modifier Modifier   Copier Copier   Effacer Effacer   122   2019-06-21 20:36:51   upgrade included in installation
  Modifier Modifier   Copier Copier   Effacer Effacer   123   2019-06-21 20:36:51   upgrade included in installation

Piwigo 2.10.1
    Système d'exploitation: Linux
    PHP: 5.4.16 [2019-10-12 16:48:14]
    MySQL: 5.5.60-mariaDB [2019-10-12 16:48:14]
    Bibliothèque graphique: GD bundled (2.1.0 compatible)

Hors ligne

#6 2019-10-15 16:11:09

plg
Équipe Piwigo
Nantes, France, Europe
2002-04-05
12360

Re: Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

@kocardi dans la table piwigo_upgrades, il n'y a donc pas l'id 156 ?


Dernier billet du blog Piwigo.com (20 juin 2019) Modus, nouveau thème par défaut sur Piwigo.com

Hors ligne

#7 2019-10-15 16:29:35

kocardi
Membre
2009-11-03
40

Re: Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

Non l'id max c'est 152

Hors ligne

#8 2019-11-04 19:50:47

ClaudiusII
Membre
2019-11-04
7

Re: Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

Bonsoir,

Je viens de faire cette fameuse mise à jour 2.10.1 et j'ai la même erreur que MKdesign :

"Notice: Undefined index: display_fromto in ....include/category_cats.inc.php on line 119
   Notice: Undefined index: display_fromto in ....include/category_cats.inc.php on line 315..."

la première est répété 1 fois, la deuxième 26 fois.

Je suis en php 7.3 et 10.1.41-MariaDB sous linux

Ces lignes d'erreurs apparaissent uniquement lorsque je vais "Visiter" c'est à dire dans l'album. En administration, elles n'apparaissent pas.

En me plaçant en upgrade.php j'ai également ceci:

"No upgrade required, the database structure is up to date
<--back to gallery"

Une solution ???

Cordialement

Claudius

Hors ligne

#9 2019-11-24 23:36:39

k5
Équipe Piwigo
lieu
2014-01-26
465

Re: Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

Bonjour,
Par vérification par exemple sur l'id 153, Essayer de regarder dans votre base de donnée :
"piwigo_config" dans "param" il doit y avoir une ligne "display_fromto". avec une valeur soit c'est "false" soit c'est "true".

1ére solution s'il n'y a pas de "display_fromto" dans la base :
- Ajouter une ligne "display_fromto" dans "piwigo_config"
|param|varchar(40)|display_fromto|
|value|text|false|
|comment|varchar(255)|NULL

Mais Attention faut décocher le NULL dans la ligne value

Cordialement
k5


Ayez comme premier réflexe de faire les mises à jours piwigo et extensions. merci

Hors ligne

  •  » Installation
  •  » Erreurs après MAJ 2.10 - error messages after 2.10 upgrade

Pied de page des forums

Propulsé par FluxBB

github twitter facebook newsletter Faire un don Piwigo.org © 2002-2020 · Contact